Register a new customer
curl --request POST \
--url https://api.arltechgroup.com/finance/customers/register \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"fullname": "Eric Nanduhu",
"telephone": "0786038292",
"dealid": 176,
"deposit": 550000,
"guarantorname": "Mwesigwa Julius",
"guarantorcontact": "0786038292",
"imei": "351920920269424",
"payg": "DFVCXG6R"
}
'import requests
url = "https://api.arltechgroup.com/finance/customers/register"
payload = {
"fullname": "Eric Nanduhu",
"telephone": "0786038292",
"dealid": 176,
"deposit": 550000,
"guarantorname": "Mwesigwa Julius",
"guarantorcontact": "0786038292",
"imei": "351920920269424",
"payg": "DFVCXG6R"
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fullname: 'Eric Nanduhu',
telephone: '0786038292',
dealid: 176,
deposit: 550000,
guarantorname: 'Mwesigwa Julius',
guarantorcontact: '0786038292',
imei: '351920920269424',
payg: 'DFVCXG6R'
})
};
fetch('https://api.arltechgroup.com/finance/customers/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Customer registered successfully",
"customerid": 663
}{
"message": "No token provided."
}Customers
Register Customer
Creates a User, Account, Customer, and CustomerDeal in a single transaction. The deal starts with status LOCKED.
POST
/
finance
/
customers
/
register
Register a new customer
Authorizations
JWT token obtained from POST /api/auth/signin
Body
application/json
Example:
"Eric Nanduhu"
Example:
"0786038292"
Example:
176
Example:
550000
Example:
"Mwesigwa Julius"
Example:
"0786038292"
Example:
"351920920269424"
Example:
"DFVCXG6R"
Response
Customer registered successfully
⌘I